############################################################################
#                              Ada Web Server                              #
#                                                                          #
#                         Copyright (C) 2003-2007                          #
#                                 AdaCore                                  #
#                                                                          #
#  This library is free software; you can redistribute it and/or modify    #
#  it under the terms of the GNU General Public License as published by    #
#  the Free Software Foundation; either version 2 of the License, or (at   #
#  your option) any later version.                                         #
#                                                                          #
#  This library is distributed in the hope that it will be useful, but     #
#  WITHOUT ANY WARRANTY; without even the implied warranty of              #
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU       #
#  General Public License for more details.                                #
#                                                                          #
#  You should have received a copy of the GNU General Public License       #
#  along with this library; if not, write to the Free Software Foundation, #
#  Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.          #
#                                                                          #
############################################################################

.SILENT:

ALL_API = $(sort $(shell ls ../src/*.ads ../xsrc/*.ads ../soap/*.ads \
	../templates_parser/src/*.ads ../templates_parser/xsrc/*.ads))

force:

setup:

build: prog force
	./gen_gps_ref $(ALL_API)

install:
	$(CP) aws_api.xml $(I_PLG)
	$(CP) aws.py $(I_PLG)
	$(CP) aws.xml $(I_PLG)
	$(CP) ada2wsdl.xml $(I_PLG)
	$(CP) wsdl2aws.xml $(I_PLG)

check:

prog:
	$(GNAT) make -Pgps_support \
		-XPRJ_Build=${PRJ_BUILD} -XPRJ_XMLADA=${PRJ_XMLADA}

clean:
	-$(RM) -f *~ *.o *.ali aws_api.xml
